<!DOCTYPE html>
<html lang="de">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    {% block stylesheets %}
        {{ encore_entry_link_tags('public_access/base') }}
    {% endblock %}

    <title>{% block pageTitle %}LeAn®{% if pageTitle is defined %} - {{ pageTitle }}{% endif %}{% endblock %}</title>
    <link rel="shortcut icon" type="image/png" href="" sizes="64x64">
    <meta name="robots" content="noindex, follow">
</head>
<body>

{% set operatorAccount = get_operator_account() %}

<header class="header header-sticky" style="min-height: 10vh;">
    <div class="container">
        <div class="col-md-7 col-sm-9">
            <a href="{{ path('login') }}">
                {% if operatorAccount != null and operatorAccount.getAccountConfiguration() != null and operatorAccount.getAccountConfiguration().getLogoImage() != null %}
                    <img class="img-fluid account-image" src="{{ path('public_file', {'fileUuid': operatorAccount.getAccountConfiguration().getLogoImage().getFile().getUuid()}) }}" alt="{{ operatorAccount.getName() }}">
                {% else %}
                    <img src="{{ asset('build/images/lean.svg') }}" class="img-fluid account-image" alt="LeAn®">
                {% endif %}
            </a>
        </div>
        <div class="col-md-4 d-md-block d-none mt-0 mt-sm-0 text-end">
            <a href="{{ path('imprint') }}" {% if activeNavItem is defined and activeNavItem == 'imprint' %}class="text-primary"{% endif %}><small>Impressum</small></a> |
            <a href="{{ path('gtc_provider') }}" {% if activeNavItem is defined and activeNavItem == 'gtc' %}class=text-primary"{% endif %}><small>AGB</small></a> |
            <a href="{{ path('privacy_policy_provider') }}" {% if activeNavItem is defined and activeNavItem == 'privacyPolicy' %}class=text-primary"{% endif %}><small>Datenschutz</small></a>
        </div>
        <div class="col-md-1 col-sm-3 text-end">
            <div class="mdc-menu-surface--anchor">
                <button id="public_access_base_menu_button" class="material-icons mdc-icon-button mdc-card__action mdc-card__action--icon btn d-flex align-items-center ms-3">
                    <i class="material-icons-outlined" style="font-size: 2rem">menu</i>
                </button>
                <div id="public_access_base_mdc_menu" class="mdc-menu mdc-menu-surface">
                    <ul class="mdc-list" role="menu" aria-hidden="true" aria-orientation="vertical" tabindex="-1">
                        <li class="mdc-list-item mdc-list-item--non-interactive py-2">
                            <strong>LeAn® für Immobilienanbietende</strong>
                        </li>
                        <li class="mdc-list-item py-2" role="menuitem" data-url="{{ path('information_for_provider') }}">
                            <span class="mdc-list-item__ripple"></span>
                            <span class="mdc-list-item__text text-nowrap d-flex align-items-center">
                                <i class="material-icons mdc-list-item__graphic me-2" aria-hidden="true">business</i>
                                Informationen für Anbietende
                            </span>
                        </li>
                        {% if operatorAccount != null and operatorAccount.getAccountConfiguration() != null and operatorAccount.getAccountConfiguration().isAllowProviderRegistration() == true %}
                            <li class="mdc-list-item py-2" role="menuitem" data-url="{{ path('user_registration_register_without_invitation', {userRegistrationTypeName: 'anbietende'}) }}">
                                <span class="mdc-list-item__ripple"></span>
                                <span class="mdc-list-item__text text-nowrap d-flex align-items-center">
                                <i class="material-icons mdc-list-item__graphic me-2" aria-hidden="true">how_to_reg</i>
                                Als Anbieter:in registrieren
                            </span>
                            </li>
                        {% endif %}
                        <li class="mdc-list-item py-2" role="menuitem" data-url="{{ path('report_property_vacancy') }}">
                            <span class="mdc-list-item__ripple"></span>
                            <span class="mdc-list-item__text text-nowrap d-flex align-items-center">
                                <i class="material-icons mdc-list-item__graphic me-2" aria-hidden="true">storefront</i>
                                Leerstand melden
                            </span>
                        </li>
                        <li class="mdc-list-item py-2" role="menuitem" data-url="{{ path('privacy_policy_provider') }}">
                            <span class="mdc-list-item__ripple"></span>
                            <span class="mdc-list-item__text text-nowrap d-flex align-items-center">
                                <i class="material-icons mdc-list-item__graphic me-2" aria-hidden="true">gavel</i>
                                Datenschutzerklärung
                            </span>
                        </li>
                        <li class="mdc-list-item py-2" role="menuitem" data-url="{{ path('gtc_provider') }}">
                            <span class="mdc-list-item__ripple"></span>
                            <span class="mdc-list-item__text text-nowrap d-flex align-items-center">
                                <i class="material-icons mdc-list-item__graphic me-2" aria-hidden="true">grading</i>
                                Nutzungsbedingungen
                            </span>
                        </li>
                        <li class="mdc-list-divider" role="separator"></li>
                        <li class="mdc-list-item mdc-list-item--non-interactive py-2">
                            <strong>LeAn® für Immobiliensuchende</strong>
                        </li>
                        <li class="mdc-list-item py-2" role="menuitem" data-url="{{ path('information_for_seeker') }}">
                            <span class="mdc-list-item__ripple"></span>
                            <span class="mdc-list-item__text text-nowrap d-flex align-items-center">
                                <i class="material-icons mdc-list-item__graphic me-2" aria-hidden="true">person_search</i>
                                Informationen für Suchende
                            </span>
                        </li>
                        {% if operatorAccount != null and operatorAccount.getAccountConfiguration() != null and operatorAccount.getAccountConfiguration().isAllowSeekerRegistration() == true %}
                            <li class="mdc-list-item py-2" role="menuitem" data-url="{{ path('user_registration_register_without_invitation', {userRegistrationTypeName: 'suchende'}) }}">
                                <span class="mdc-list-item__ripple"></span>
                                <span class="mdc-list-item__text text-nowrap d-flex align-items-center">
                                <i class="material-icons mdc-list-item__graphic me-2" aria-hidden="true">how_to_reg</i>
                                Als Suchende:r registrieren
                            </span>
                            </li>
                        {% endif %}
                        <li class="mdc-list-item py-2" role="menuitem" data-url="{{ path('report_looking_for_property_request') }}">
                            <span class="mdc-list-item__ripple"></span>
                            <span class="mdc-list-item__text text-nowrap d-flex align-items-center">
                                <i class="material-icons mdc-list-item__graphic me-2" aria-hidden="true">add_business</i>
                                Ansiedlungsgesuch melden
                            </span>
                        </li>
                        <li class="mdc-list-item py-2" role="menuitem" data-url="{{ path('privacy_policy_seeker') }}">
                            <span class="mdc-list-item__ripple"></span>
                            <span class="mdc-list-item__text text-nowrap d-flex align-items-center">
                                <i class="material-icons mdc-list-item__graphic me-2" aria-hidden="true">gavel</i>
                                Datenschutzerklärung
                            </span>
                        </li>
                        <li class="mdc-list-item py-2" role="menuitem" data-url="{{ path('gtc_seeker') }}">
                            <span class="mdc-list-item__ripple"></span>
                            <span class="mdc-list-item__text text-nowrap d-flex align-items-center">
                                <i class="material-icons mdc-list-item__graphic me-2" aria-hidden="true">grading</i>
                                Nutzungsbedingungen
                            </span>
                        </li>
                        <li class="mdc-list-divider" role="separator"></li>
                        <li class="mdc-list-item mdc-list-item--non-interactive py-2">
                            <strong>Allgemeines</strong>
                        </li>
                        <li class="mdc-list-item py-2" role="menuitem" data-url="{{ path('login') }}">
                            <span class="mdc-list-item__ripple"></span>
                            <span class="mdc-list-item__text text-nowrap d-flex align-items-center">
                                <i class="material-icons mdc-list-item__graphic me-2" aria-hidden="true">login</i>
                                Anmeldung
                            </span>
                        </li>
                        <li class="mdc-list-item py-2" role="menuitem" data-url="{{ path('password_forgotten') }}">
                            <span class="mdc-list-item__ripple"></span>
                            <span class="mdc-list-item__text text-nowrap d-flex align-items-center">
                                <i class="material-icons mdc-list-item__graphic me-2" aria-hidden="true">password</i>
                                Kennwort vergessen
                            </span>
                        </li>
                        <li class="mdc-list-item py-2" role="menuitem" data-url="{{ path('imprint') }}">
                            <span class="mdc-list-item__ripple"></span>
                            <span class="mdc-list-item__text text-nowrap d-flex align-items-center">
                                <i class="material-icons mdc-list-item__graphic me-2" aria-hidden="true">notes</i>
                                Impressum
                            </span>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</header>
<main>
    <div class="d-flex" style="min-height: 82vh">
        {% block main %}
        {% endblock %}
    </div>
</main>
<footer class="footer small" style="min-height: 8vh;background-image: url({{ asset('build/images/lean-icon-white-trimmed.png') }});background-position: right;background-repeat: no-repeat;background-size: contain;">
    <div class="container">
        <div class="row">
            <div class="col-md-6">
                Leerstands- und Ansiedlungsmanagementplattform {% if operatorAccount != null %}{{ operatorAccount.getName() }}{% endif %}
            </div>
            <div class="col-md-6 mt-3 mt-sm-0 text-md-end">
                {% if hosting_provider_name is not empty %}
                    {% if hosting_provider_website is not empty %}
                        Hosted by <a href="{{ hosting_provider_website }}">{{ hosting_provider_name }}</a>
                    {% else %}
                        Hosted by {{ hosting_provider_name }}
                    {% endif %}
                {% endif %}
            </div>
        </div>
    </div>
</footer>

{% block javascripts %}
    {{ encore_entry_script_tags('public_access/base') }}
{% endblock %}

</body>
</html>
